Support Questions
Find answers, ask questions, and share your expertise

Error during deployment of Apache Metron and all necessary prerequisites on a single, virtualized host running Ubuntu 14? and i get the following error.

New Contributor

@asubramanian @Simon Elliston Ball @Bramantya Anggriawan @rmaruthiyodan @eorgad

"[ERROR] Failed to execute goal on project metron-writer: Could not resolve dependencies for project org.apache.metron:metron-writer:jar:0.5.1: Failed to collect dependencies at org.apache.storm:storm-hdfs:jar:1.0.1.2.5.0.0-1245 -> io.confluent:kafka-avro-serializer:jar:1.0: Could not transfer artifact io.confluent:kafka-schema-registry-parent:pom:1.0 from/to confluent (http://packages.confluent.io/maven): /home/sjs/.m2/repository/io/confluent/kafka-schema-registry-parent/1.0/kafka-schema-registry-parent-1.0.pom.part (No such file or directory) -> [Help 1]", "[ERROR] ", "[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.", "[ERROR] Re-run Maven using the -X switch to enable full debug logging.", "[ERROR] ", "[ERROR] For more information about the errors and possible solutions, please read the following articles:", "[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException", "[ERROR] ", "[ERROR] After correcting the problems, you can resume the build with the command", "[ERROR] mvn <goals> -rf :metron-writer"]}

NO MORE HOSTS LEFT *************************************************************
to retry, use: --limit @/home/sjs/metron/metron-deployment/development/ubuntu14/ansible/playbook.retry

PLAY RECAP *********************************************************************
node1 : ok=7 changed=3 unreachable=0 failed=1

Ansible failed to complete successfully. Any error output should be
visible above. Please fix these errors and try again.

1 REPLY 1

Re: Error during deployment of Apache Metron and all necessary prerequisites on a single, virtualized host running Ubuntu 14? and i get the following error.

Contributor

I am having the same error on my macOS High Sierra